Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster.util
Class SmartQueue

    java.lang.Object
      org.apache.catalina.cluster.util.SmartQueue

public class SmartQueue
extends java.lang.Object

Nested Class Summary
`static class` | `SmartQueue.SmartEntry`

Field Summary
`static org.apache.commons.logging.Log` | `log`

Constructor Summary
`SmartQueue()`

Method Summary
`void` | `add(SmartQueue.SmartEntry entry)` Add an object to the queue
`SmartQueue.SmartEntry` | `remove()` Blocks forever until an element has been added to the queue
`SmartQueue.SmartEntry` | `remove(long timeout)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.commons.logging.Log log

Constructor Detail

### SmartQueue

    public SmartQueue()

Method Detail

### add

    public void add(SmartQueue.SmartEntry entry)

  Add an object to the queue

  Parameters:
    `entry` - - the smart entry

### size

    public int size()

### remove

    public SmartQueue.SmartEntry remove()

  Blocks forever until an element has been added to the queue

### remove

    public SmartQueue.SmartEntry remove(long timeout)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.